CfDef._Fields (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Enum CfDef._Fields

- java.lang.Object
- - java.lang.Enum<CfDef._Fields>
  - - org.apache.cassandra.thrift.CfDef._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CfDef._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    CfDef

      public static enum CfDef._Fields
      extends java.lang.Enum<CfDef._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOOM_FILTER_FP_CHANCE`
    `CACHING`
    `CELLS_PER_ROW_TO_CACHE`
    `COLUMN_METADATA`
    `COLUMN_TYPE`
    `COMMENT`
    `COMPACTION_STRATEGY`
    `COMPACTION_STRATEGY_OPTIONS`
    `COMPARATOR_TYPE`
    `COMPRESSION_OPTIONS`
    `DCLOCAL_READ_REPAIR_CHANCE`
    `DEFAULT_TIME_TO_LIVE`
    `DEFAULT_VALIDATION_CLASS`
    `GC_GRACE_SECONDS`
    `ID`
    `INDEX_INTERVAL` Deprecated.
    `KEY_ALIAS`
    `KEY_CACHE_SAVE_PERIOD_IN_SECONDS` Deprecated.
    `KEY_CACHE_SIZE` Deprecated.
    `KEY_VALIDATION_CLASS`
    `KEYSPACE`
    `MAX_COMPACTION_THRESHOLD`
    `MAX_INDEX_INTERVAL`
    `MEMTABLE_FLUSH_AFTER_MINS` Deprecated.
    `MEMTABLE_FLUSH_PERIOD_IN_MS`
    `MEMTABLE_OPERATIONS_IN_MILLIONS` Deprecated.
    `MEMTABLE_THROUGHPUT_IN_MB` Deprecated.
    `MERGE_SHARDS_CHANCE` Deprecated.
    `MIN_COMPACTION_THRESHOLD`
    `MIN_INDEX_INTERVAL`
    `NAME`
    `POPULATE_IO_CACHE_ON_FLUSH` Deprecated.
    `READ_REPAIR_CHANCE`
    `REPLICATE_ON_WRITE` Deprecated.
    `ROW_CACHE_KEYS_TO_SAVE` Deprecated.
    `ROW_CACHE_PROVIDER` Deprecated.
    `ROW_CACHE_SAVE_PERIOD_IN_SECONDS` Deprecated.
    `ROW_CACHE_SIZE` Deprecated.
    `SPECULATIVE_RETRY`
    `SUBCOMPARATOR_TYPE`
    `TRIGGERS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CfDef._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static CfDef._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static CfDef._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static CfDef._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CfDef._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYSPACE

          public static final CfDef._Fields KEYSPACE

    - #### NAME

          public static final CfDef._Fields NAME

    - #### COLUMN_TYPE

          public static final CfDef._Fields COLUMN_TYPE

    - #### COMPARATOR_TYPE

          public static final CfDef._Fields COMPARATOR_TYPE

    - #### SUBCOMPARATOR_TYPE

          public static final CfDef._Fields SUBCOMPARATOR_TYPE

    - #### COMMENT

          public static final CfDef._Fields COMMENT

    - #### READ_REPAIR_CHANCE

          public static final CfDef._Fields READ_REPAIR_CHANCE

    - #### COLUMN_METADATA

          public static final CfDef._Fields COLUMN_METADATA

    - #### GC_GRACE_SECONDS

          public static final CfDef._Fields GC_GRACE_SECONDS

    - #### DEFAULT_VALIDATION_CLASS

          public static final CfDef._Fields DEFAULT_VALIDATION_CLASS

    - #### ID

          public static final CfDef._Fields ID

    - #### MIN_COMPACTION_THRESHOLD

          public static final CfDef._Fields MIN_COMPACTION_THRESHOLD

    - #### MAX_COMPACTION_THRESHOLD

          public static final CfDef._Fields MAX_COMPACTION_THRESHOLD

    - #### KEY_VALIDATION_CLASS

          public static final CfDef._Fields KEY_VALIDATION_CLASS

    - #### KEY_ALIAS

          public static final CfDef._Fields KEY_ALIAS

    - #### COMPACTION_STRATEGY

          public static final CfDef._Fields COMPACTION_STRATEGY

    - #### COMPACTION_STRATEGY_OPTIONS

          public static final CfDef._Fields COMPACTION_STRATEGY_OPTIONS

    - #### COMPRESSION_OPTIONS

          public static final CfDef._Fields COMPRESSION_OPTIONS

    - #### BLOOM_FILTER_FP_CHANCE

          public static final CfDef._Fields BLOOM_FILTER_FP_CHANCE

    - #### CACHING

          public static final CfDef._Fields CACHING

    - #### DCLOCAL_READ_REPAIR_CHANCE

          public static final CfDef._Fields DCLOCAL_READ_REPAIR_CHANCE

    - #### MEMTABLE_FLUSH_PERIOD_IN_MS

          public static final CfDef._Fields MEMTABLE_FLUSH_PERIOD_IN_MS

    - #### DEFAULT_TIME_TO_LIVE

          public static final CfDef._Fields DEFAULT_TIME_TO_LIVE

    - #### SPECULATIVE_RETRY

          public static final CfDef._Fields SPECULATIVE_RETRY

    - #### TRIGGERS

          public static final CfDef._Fields TRIGGERS

    - #### CELLS_PER_ROW_TO_CACHE

          public static final CfDef._Fields CELLS_PER_ROW_TO_CACHE

    - #### MIN_INDEX_INTERVAL

          public static final CfDef._Fields MIN_INDEX_INTERVAL

    - #### MAX_INDEX_INTERVAL

          public static final CfDef._Fields MAX_INDEX_INTERVAL

    - #### ROW_CACHE_SIZE

          public static final CfDef._Fields ROW_CACHE_SIZE

      Deprecated.

    - #### KEY_CACHE_SIZE

          public static final CfDef._Fields KEY_CACHE_SIZE

      Deprecated.

    - #### ROW_CACHE_SAVE_PERIOD_IN_SECONDS

          public static final CfDef._Fields ROW_CACHE_SAVE_PERIOD_IN_SECONDS

      Deprecated.

    - #### KEY_CACHE_SAVE_PERIOD_IN_SECONDS

          public static final CfDef._Fields KEY_CACHE_SAVE_PERIOD_IN_SECONDS

      Deprecated.

    - #### MEMTABLE_FLUSH_AFTER_MINS

          public static final CfDef._Fields MEMTABLE_FLUSH_AFTER_MINS

      Deprecated.

    - #### MEMTABLE_THROUGHPUT_IN_MB

          public static final CfDef._Fields MEMTABLE_THROUGHPUT_IN_MB

      Deprecated.

    - #### MEMTABLE_OPERATIONS_IN_MILLIONS

          public static final CfDef._Fields MEMTABLE_OPERATIONS_IN_MILLIONS

      Deprecated.

    - #### REPLICATE_ON_WRITE

          public static final CfDef._Fields REPLICATE_ON_WRITE

      Deprecated.

    - #### MERGE_SHARDS_CHANCE

          public static final CfDef._Fields MERGE_SHARDS_CHANCE

      Deprecated.

    - #### ROW_CACHE_PROVIDER

          public static final CfDef._Fields ROW_CACHE_PROVIDER

      Deprecated.

    - #### ROW_CACHE_KEYS_TO_SAVE

          public static final CfDef._Fields ROW_CACHE_KEYS_TO_SAVE

      Deprecated.

    - #### POPULATE_IO_CACHE_ON_FLUSH

          public static final CfDef._Fields POPULATE_IO_CACHE_ON_FLUSH

      Deprecated.

    - #### INDEX_INTERVAL

          public static final CfDef._Fields INDEX_INTERVAL

      Deprecated.

  - ### Method Detail

    - #### values

          public static CfDef._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CfDef._Fields c : CfDef._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CfDef._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static CfDef._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static CfDef._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static CfDef._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2018 The Apache Software Foundation